
grant dba to "ismark";
grant connect to "i224mark";

{ TABLE "ismark".people row size = 93 number of columns = 6 index size = 84 }
create table "ismark".people 
  (
    personid serial not null,
    pname1 char(20) not null,
    pname2 char(20),
    cel_date date not null,
    cel_type char(25),
    plocation char(20)
  );
revoke all on "ismark".people from "public";

create unique index "ismark".ix100_1 on "ismark".people (personid);
create index "ismark".ix100_2 on "ismark".people (pname1);
create index "ismark".ix100_3 on "ismark".people (pname2);
{ TABLE "ismark".gifts row size = 155 number of columns = 8 index size = 159 }
create table "ismark".gifts 
  (
    person_id integer not null,
    quantity integer not null,
    prod_id integer,
    prod_desc char(65),
    purchased integer not null,
    department char(25),
    prod_name char(40),
    regprice money(16,2)
  );
revoke all on "ismark".gifts from "public";

create index "ismark".ix101_1 on "ismark".gifts (person_id);
create index "ismark".ix101_4 on "ismark".gifts (prod_desc);
create index "ismark".ix101_6 on "ismark".gifts (department);
{ TABLE "ismark".sysmenus row size = 78 number of columns = 2 index size = 33 }
create table "ismark".sysmenus 
  (
    menuname char(18),
    title char(60)
  );
revoke all on "ismark".sysmenus from "public";

create unique index "ismark".sysmenidx on "ismark".sysmenus (menuname);
{ TABLE "ismark".sysmenuitems row size = 143 number of columns = 5 index size = 39 
              }
create table "ismark".sysmenuitems 
  (
    imenuname char(18),
    itemnum integer,
    mtext char(60),
    mtype char(1),
    progname char(60)
  );
revoke all on "ismark".sysmenuitems from "public";

create unique index "ismark".meniidx on "ismark".sysmenuitems (imenuname,itemnum);


grant select on "ismark".sysmenus to "public" as "ismark";
grant update on "ismark".sysmenus to "public" as "ismark";
grant insert on "ismark".sysmenus to "public" as "ismark";
grant delete on "ismark".sysmenus to "public" as "ismark";
grant index on "ismark".sysmenus to "public" as "ismark";
grant select on "ismark".sysmenuitems to "public" as "ismark";
grant update on "ismark".sysmenuitems to "public" as "ismark";
grant insert on "ismark".sysmenuitems to "public" as "ismark";
grant delete on "ismark".sysmenuitems to "public" as "ismark";
grant index on "ismark".sysmenuitems to "public" as "ismark";

create view "ismark".v_people (personid,pname1,pname2,cel_date,cel_type,plocation) as 
  select x0.personid ,x0.pname1 ,x0.pname2 ,x0.cel_date ,x0.cel_type 
    ,x0.plocation from "ismark".people x0 with check option;  
                                                 
create view "ismark".v_gifts (person_id,quantity,prod_id,prod_desc,purchased,department,prod_name,regprice) as 
  select x0.person_id ,x0.quantity ,x0.prod_id ,x0.prod_desc ,
    x0.purchased ,x0.department ,x0.prod_name ,x0.regprice from 
    "ismark".gifts x0 with check option;                      
                                   

grant select on "ismark".v_people to "i224mark" as "ismark";
grant update(plocation) on "ismark".v_people to "i224mark" as "ismark";
grant insert on "ismark".v_people to "i224mark" as "ismark";
grant select on "ismark".v_gifts to "i224mark" as "ismark";
grant insert on "ismark".v_gifts to "i224mark" as "ismark";

LOAD FROM "gifts.bak" INSERT INTO gifts;

LOAD FROM "people.bak" INSERT INTO people;

LOAD FROM "sysmenus.bak" INSERT INTO sysmenus;

LOAD FROM "sysmenuitems" INSET INTO sysmenuitems;
